.. _cmd_upgrade:

platformio upgrade
==================

.. contents::

Usage
-----

.. code-block:: bash

    platformio upgrade


Description
-----------

Check or upgrade PlatformIO to the latest version


Examples
--------

.. code-block:: bash

    $ platformio upgrade
    You're up-to-date!
    PlatformIO x.x.x is currently the newest version available.

    # If you have problem with permissions try:
    $ sudo platformio upgrade
